
/* DEFS: group MetisLB: CentralLB{
void MetisLB(void);
};
 */
#ifndef CK_TEMPLATES_ONLY
int CProxy_MetisLB::__idx=0;
#endif
#ifndef CK_TEMPLATES_ONLY
    void CProxy_MetisLB::__register(const char *s, size_t size) {
      __idx = CkRegisterChare(s, size);
  _REGISTER_BASE(__idx, CProxy_CentralLB::__idx);
    /* REG: void MetisLB(void);
*/
      __idx_MetisLB_void = CkRegisterEp("MetisLB", (CkCallFnPtr)_call_MetisLB_void, 0, __idx);
    }
#endif
#ifndef CK_TEMPLATES_ONLY
/* DEFS: void MetisLB(void);
 */
int CProxy_MetisLB::__idx_MetisLB_void=0;
CkGroupID CProxy_MetisLB::ckNew(void)
{
      void *msg = CkAllocSysMsg();
  return CkCreateGroup(__idx, __idx_MetisLB_void, msg, 0, 0);
}
CkGroupID CProxy_MetisLB::ckNewSync(void)
{
      void *msg = CkAllocSysMsg();
  return CkCreateGroupSync(__idx, __idx_MetisLB_void, msg);
}
  CProxy_MetisLB::CProxy_MetisLB(int retEP, CkChareID *cid)
{
      void *msg = CkAllocSysMsg();
  _ck_gid = CkCreateGroup(__idx, __idx_MetisLB_void, msg, retEP, cid);
  _setChare(0);
}
  CProxy_MetisLB::CProxy_MetisLB(void)
{
      void *msg = CkAllocSysMsg();
  _ck_gid = CkCreateGroup(__idx, __idx_MetisLB_void, msg, 0, 0);
  _setChare(0);
}
void CProxy_MetisLB::_call_MetisLB_void(void* msg, MetisLB* obj)
{
  new (obj) MetisLB();
  CkFreeSysMsg(msg);
}
#endif /*CK_TEMPLATES_ONLY*/

#ifndef CK_TEMPLATES_ONLY
void _registerMetisLB(void)
{
  static int _done = 0; if(_done) return; _done = 1;
      _registerCentralLB();

/* REG: group MetisLB: CentralLB{
void MetisLB(void);
};
*/
  CProxy_MetisLB::__register("MetisLB", sizeof(MetisLB));

}
#endif
